#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDebug>
#include <QListWidgetItem>

#include "alienmodel.h"


namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;
	Loader * adloader;
	AlienModel * alModel;

private slots:
	void on_pbAlDel_clicked();
 void on_pbAlAdd_clicked();
 void on_leAlName_editingFinished();
 void on_cbAlIsFly_clicked(bool checked);
 void on_sbAlScore_valueChanged(int );
 void on_sbAlPrise_valueChanged(int );
 void on_sbAlSpeed_valueChanged(double );
 void on_sbAlregeneration_valueChanged(double );
 void on_sbAlArmor_valueChanged(double );
 void on_sbAlHealth_valueChanged(double );
 void on_pbSave_clicked();
 void lvAliens_select(QModelIndex, QModelIndex);
	void on_cbAlRegeneration_toggled(bool checked);
	void on_cbAlArmor_toggled(bool checked);
};

#endif // MAINWINDOW_H
